Untitled

mail@pastecode.io avatar
unknown
plain_text
a year ago
2.0 kB
5
Indexable
Never
{
  "name": "frontend-onboard",
  "version": "1.0.0",
  "description": "онбординг",
  "main": "index.js",
  "scripts": {
    "dev": "nuxt dev",
    "eslint": "eslint --resolve-plugins-relative-to ./node_modules/@fe/eslint-config --ext .js,.ts,.tsx,.graphql .",
    "eslint:fix": "npm run eslint -- --fix",
    "stylelint": "stylelint '**/*.css' --fix",
    "api": "npx @fe/api",
    "pw": "playwright test",
    "pw:av:update": "AV_UPDATE=1 playwright test",
    "build": "nuxt generate",
    "postinstall": "nuxi prepare"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.ozon.ru"
  },
  "engines": {
    "node": ">=16.10.0 <17.0.0",
    "npm": ">=8.10.0 <9.0.0"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@apollo/client": "^3.7.7",
    "@fe/envs-nuxt3": "^2.0.2",
    "@fe/etcd-nuxt3": "^1.0.1",
    "@fe/icons-vue3": "^0.53.0",
    "@fe/ozi": "^3.10.0",
    "@fe/partials-nuxt3": "^1.0.4",
    "@sentry/browser": "^7.38.0",
    "axios": "^0.21.4",
    "graphql": "^16.6.0",
    "nuxt": "^3.5.1",
    "ramda": "^0.28.0",
    "subscriptions-transport-ws": "^0.11.0"
  },
  "devDependencies": {
    "@fe/api": "^3.7.0",
    "@fe/babel-config": "^1.2.1",
    "@fe/browserslist-config": "^1.0.2",
    "@fe/eslint-config": "^6.0.0",
    "@fe/graphql-config": "^1.0.1",
    "@fe/husky-config": "^2.0.1",
    "@fe/jest-config": "^3.1.0",
    "@fe/lint-staged-config": "^1.1.0",
    "@fe/nuxt3-config": "^1.2.0",
    "@fe/pw-config": "^1.3.0",
    "@fe/stylelint-config": "^3.3.3",
    "@fe/tsconfig": "^1.1.0",
    "@fe/utility-types": "^1.0.0",
    "@playwright/test": "1.29.1",
    "@types/jest": "^27.5.2",
    "@types/ramda": "^0.28.23",
    "@vue/test-utils": "^2.1.0",
    "eslint": "^8.34.0",
    "husky": "^3.1.0",
    "hygen": "^6.2.11",
    "jest": "^27.5.1",
    "lint-staged": "^13.1.2",
    "playwright": "1.29.1",
    "stylelint": "^14.16.1",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.5",
    "utility-types": "^3.10.0"
  },
  "overrides": {
    "vue": "latest"
  }
}